<!--
 
function qOAGR(c,p_x,p_y,lx,b_right)
{
var factor=lx/100;
var yAxe=Math.round(50*factor);
var x1=Math.round(80*factor);var y1=0*factor;var x2=Math.round(55*factor);var y2=Math.round(25*factor);
var x3=Math.round(47*factor);var y3=Math.round(17*factor);var x4=Math.round(60*factor);var y4=Math.round(5*factor);
var x5=Math.round(22*factor);var y5=y4;
if(b_right==false)
{
x1=lx-x1;x2=lx-x2;x3=lx-x3;x4=lx-x4;x5=lx-x5;
}
c.beginPath()
c.moveTo(p_x+x1,p_y+yAxe-y1);c.lineTo(p_x+x2,p_y+yAxe-y2);c.lineTo(p_x+x3,p_y+yAxe-y3);c.lineTo(p_x+x4,p_y+yAxe-y4);c.lineTo(p_x+x5,p_y+yAxe-y5);
c.lineTo(p_x+x5,p_y+yAxe+y5);c.lineTo(p_x+x4,p_y+yAxe+y4);
c.lineTo(p_x+x3,p_y+yAxe+y3);c.lineTo(p_x+x2,p_y+yAxe+y2);c.lineTo(p_x+x1,p_y+yAxe+y1);
c.fill()
}
function OTeoN(c,x,y,lx,size,epais)
{
x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);c.fillRect(x,y+(size-epais)/2,size,epais);c.fillRect(x+(size-epais)/2,y,epais,size);
}
function nLxVU(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);var x2=9;
c.beginPath();c.moveTo(x+x2,y);c.lineTo(x+x2+6,y+7);c.lineTo(x+x2,y+14);c.fill();
var grad=c.createLinearGradient(x,y,x+8,y);
var SKqWD=new RGBColor(col)
SKqWD.a=0
grad.addColorStop(1,col);grad.addColorStop(0,SKqWD.toRGB());
c.fillStyle=grad;
c.beginPath();c.rect(x,y,8,14);c.fill()
c.fillStyle=old_fill
}
function blgat(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;
x=Math.round(x+(lx-size)/2);
y=Math.round(y+(lx-size)/2);
c.fillStyle=col;
c.beginPath();
c.rect(x,y,size,size);
c.fill()
c.fillStyle=old_fill
}
function WrGik(name,qWHwG,VHXOD)
{
var n=qWHwG.indexOf("%")
if(n>-1)
{
qWHwG=wa_evaluate(qWHwG.replace("%","/100"))
return Math.round(qWHwG*VHXOD)
}
qWHwG=parseFloat(qWHwG)
return Math.round(qWHwG)
}
function hIPvK(AOpsX,WDiJT,vfBJG)
{
var x=WrGik("x",AOpsX.x,WDiJT)
var y=WrGik("y",AOpsX.y,vfBJG)
if(AOpsX.x.indexOf("%")==-1)WDiJT=WDiJT-x
if(AOpsX.y.indexOf("%")==-1)vfBJG=vfBJG-y 

var lx=WrGik("lx",AOpsX.lx,WDiJT)
var ly=WrGik("ly",AOpsX.ly,vfBJG)
return new Rect(x,y,lx,ly)
}
function WA_change_tool_button(DHHoI,nEqSM,over)
{
var TAGPt=hCGqc(DHHoI)
if(TAGPt&&TAGPt.rnvvp)
{
var fNXFp=TAGPt.rnvvp[nEqSM]
if(fNXFp)
{
fNXFp.sdVde=over
fNXFp.draw()
}
}
}
function WA_toolbar_button(id,lx,ly,type,col,shadow)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
c.clearRect(0,0,lx,ly) 
var current_col=col;
c.fillStyle=current_col;
if(type=="<")
{
qOAGR(c,0,0,lx,false)
}
if(type==">")
{
qOAGR(c,0,0,lx,true)
}
if(type=="down")
{
c.rotate(-Math.PI/2);c.translate(-lx,0);
qOAGR(c,0,0,lx,false)
c.translate(lx,0);c.rotate(Math.PI/2);
}
if(type=="up")
{
c.rotate(Math.PI/2);c.translate(0,-ly);
qOAGR(c,0,0,lx,false);
c.translate(0,ly);c.rotate(-Math.PI/2);
}
if(type=="+")
{
OTeoN(c,0,0,lx,12,4)
}
if(type=="diapo")
{
nLxVU(c,0,0,lx,current_col)
}
if(type=="stop")
{
blgat(c,0,0,lx,current_col)
}
}
ZKnto.prototype=new Tween();
ZKnto.prototype.constructor=Tween;
ZKnto.superclass=Tween.prototype;
function ZKnto(obj,laiPm,WLBwD,lWoxk,vipws)
{
this.targetObject=obj;
this.init(new Object(),'a',laiPm,WLBwD,lWoxk,vipws);
this.onMotionChanged=function(evt)
{
var v=evt.target.getPosition();
var IVejg=this.targetObject;
v=Math.round(v*100)/100
IVejg.setOpacity(v/100);
}
}
function onMouseOnPreviewComment(DHHoI,fDYAe,vbTCE)
{
var TAGPt=hCGqc(DHHoI)
var KMYRm=TAGPt.oqnbl_preview_obj 
var old=TAGPt.tvDjf
TAGPt.tvDjf=fDYAe;
KMYRm.chewv=fDYAe
if(TAGPt.tvDjf)
TAGPt.WkCWr=-1;

if(vbTCE)
wa_timeout(Delegate.create(KMYRm,KMYRm.YoQEE),200);
else
wa_timeout(Delegate.create(KMYRm,KMYRm.WCcRd),200);
}
iaASe.prototype=new Tween();
iaASe.prototype.constructor=Tween;
iaASe.superclass=Tween.prototype;
function iaASe(obj,laiPm,WLBwD,lWoxk,vipws)
{
this.targetObject=obj;
this.init(new Object(),'a',laiPm,WLBwD,lWoxk,vipws);
this.onMotionChanged=function(evt)
{
var v=evt.target.getPosition();
var KMYRm=this.targetObject;
KMYRm.swicS=v
KMYRm.ElWjh()
}
this.onMotionFinished=function(evt)
{
var KMYRm=this.targetObject;
if(KMYRm.XhEHx==false)
{
KMYRm.tuXrG.setVisible(false)
html_SetVisibility(KMYRm.shagS,false)
}
KMYRm.setOverflow(KMYRm.chewv)
}
}
function DMSDm(DHHoI,EtJlu)
{
this.TxtiO=DHHoI
this.EtJlu=EtJlu
this.shagS=this.EtJlu+"comment-text-div"
this.chewv=false;
this.XhEHx=false;
this.swicS=0;
this.toHtml=function()
{
var Pnlac=""
this.tuXrG=new WA_GraphicElement(this.EtJlu+"-graphic-comment-bg",500,false)
this.tuXrG._objPreview=this
this.tuXrG.draw=function()
{
if(this._objPreview.XhEHx)
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'',['rgba(0,0,0,0.6)'],this.shadow(),0,this.opacity())
}
}
Pnlac+=this.tuXrG.toHtml() 
Pnlac+="<div id='"+this.shagS+"' ";
Pnlac+="onmouseover=\"javascript:onMouseOnPreviewComment('"+this.TxtiO+"',true)\" ";
Pnlac+="onmouseout=\"javascript:onMouseOnPreviewComment('"+this.TxtiO+"',false)\" ";
Pnlac+=" style=\"font-family:Arial;font-size:13px;color:#ffffff;margin:2px;text-align:center;"
Pnlac+="overflow:auto;visibility:hidden;"
Pnlac+="position:absolute;"
Pnlac+="z-index:5250;"
Pnlac+="\">";
Pnlac+="</div>";
return Pnlac
}
this.TSMlI=function()
{
this.tuXrG.registerDynamicCanvas();
}
this.GPYSk=function(MFItB,MENIr,WDiJT,vfBJG)
{
this.eFPdB=new Rect(MFItB,MENIr,WDiJT,vfBJG)
this.Mgbgp(MFItB,MENIr,WDiJT,vfBJG)
}
this.Mgbgp=function(MFItB,MENIr,WDiJT,vfBJG)
{


if(vfBJG<=0)
{
this.tuXrG.setVisible(false)
html_SetVisibility(this.shagS,false)
return;
}
this.tuXrG.setRect(MFItB,MENIr,WDiJT,vfBJG)
html_SetGeometry(this.shagS,MFItB,MENIr,WDiJT,vfBJG)
}
this.setOverflow=function(UlBHS)
{
var IVejg=html_getLayer(this.shagS)
var Soonp=((UlBHS)?"auto":"hidden")
IVejg.style.overflow=Soonp 
}
this.HoIxW=function()
{
this.uhcYZ=true
clearTimeout(this.timerProgress)
this.timerProgress=wa_timeout(Delegate.create(this,this.dnUKw),300);
}
this.dnUKw=function()
{
if(this.uhcYZ!=true)return;
this.uhcYZ=false
this.hXCwT("chargement en cours...")
}
this.hXCwT=function(Pnlac)
{
this.ilctE=Pnlac
this.YPZPu(Pnlac)
}
this.EnOTZ=function(Pnlac)
{
this.uhcYZ=false
this.RHDPs=0;
this.XhEHx=true
this.YPZPu(Pnlac)
}
this.YPZPu=function(Pnlac)
{
this.ilctE=Pnlac
var AOpsX=this.eFPdB
if(!AOpsX)return;
var IVejg=html_getLayer(this.shagS)
IVejg.style.overflow="hidden" 
this.Mgbgp(AOpsX.x,AOpsX.y+AOpsX.height-1,AOpsX.width,1)
html_writeContent(this.shagS,this.ilctE) 
this.riDAo() 
}
this.riDAo=function()
{
var AOpsX=this.eFPdB
var IVejg=html_getLayer(this.shagS)
this.RHDPs=IVejg.scrollHeight+4;
this.RHDPs=Math.min(this.RHDPs,AOpsX.height*0.8);
this.swicS=0
this.YoQEE()
}
this.ElWjh=function()
{
var Pnlac=this.ilctE;
var AOpsX=this.eFPdB 
var cIWMR=this.swicS
var vfBJG=cIWMR
this.Mgbgp(AOpsX.x,AOpsX.y+AOpsX.height-vfBJG,AOpsX.width,vfBJG)
WA_exec_delayedCallback(this,this.VaRcD) 
}
this.YoQEE=function()
{
this.aEbap(true)
}
this.WCcRd=function()
{
this.aEbap(false)
}
this.aEbap=function(VUAAC)
{
var AOpsX=this.eFPdB
if(this.UUPHj)
{
this.UUPHj.stop()
this.UUPHj=false;
}
var gYkTg=Math.min(AOpsX.height*0.2,this.RHDPs);
gYkTg=Math.min(40,gYkTg);
if(this.chewv)gYkTg=this.RHDPs
var BVFHr=this.swicS;
var TUMoI=gYkTg;
if(this.XhEHx==false)
{
BVFHr=this.swicS;
TUMoI=0;
}

if(VUAAC)
{
this.setOverflow(false)
}
if(this.chewv!=true)
{
var IVejg=html_getLayer(this.shagS)
IVejg.scrollTop=0
}
this.UUPHj=new iaASe(this,Tween.strongEaseOut,BVFHr,TUMoI,0.5)
if(isMSIE())
{
if(isMSIE_lower_than_ie9())
{
this.UUPHj.start()
}
else
{
this.swicS=TUMoI
this.ElWjh()
this.UUPHj.onMotionFinished()
}
}
else
{
this.UUPHj.start()
}
}
this.VaRcD=function(UlBHS)
{
var XhEHx=this.XhEHx
if(UlBHS==false)
{


XhEHx=false;
}
this.tuXrG.setVisible(XhEHx)
html_SetVisibility(this.shagS,XhEHx)
}
}
function WA_photoAlbumActionThumb(DHHoI,nEqSM,RPbrQ)
{
var TAGPt=hCGqc(DHHoI)
if(TAGPt.rnIJn()==false)return 
var dchIK=TAGPt.eJBuO_preview_id;
var qbWSj_img=document.getElementById(dchIK)
if(nEqSM==-1) nEqSM=0;
var eJBuO=mNBiC(DHHoI)[nEqSM]
var FLUiY=TAGPt.IhEpk()
var vjuWP=FLUiY.border_size 
if(RPbrQ!=true)
if(TAGPt.FDdHP==nEqSM)
{
return;
}
if(TAGPt.iSDoJ) return;
TAGPt.iSDoJ=true 
var gYkTg_size=new Size(TAGPt.PuEXa_preview.width-2*vjuWP,TAGPt.PuEXa_preview.height-2*vjuWP) 

var epFIc=TAGPt.bTEKE.max_img_resolution
var src_folder=bQQin(DHHoI)
var VHXOD=new Size(eJBuO.size.w,eJBuO.size.h)
VHXOD.scale(gYkTg_size)
if(epFIc>0)
{
var gYkTg_size_album=new Size(epFIc,epFIc)
VHXOD.scale(gYkTg_size_album)
}
var xXVGZ=new Image();
if(isMSIE())
{
xXVGZ=document.getElementById(TAGPt.eJBuO_preview_id_cache) 
xXVGZ.width=VHXOD.width
xXVGZ.height=VHXOD.height
}
TAGPt.hFVSQ=xXVGZ
xXVGZ.SADQK=0.2
xXVGZ.SUtbg=0.2
xXVGZ.OdLHT_img=nEqSM
xXVGZ.eJBuO_info=eJBuO
xXVGZ.oqnbl_preview_obj=TAGPt.oqnbl_preview_obj
xXVGZ.ACesq=TAGPt.ACesq
xXVGZ.HkUiG_transition=Tween.strongEaseOut
xXVGZ.qbWSj_img=qbWSj_img
xXVGZ.IIWBB=document.getElementById(TAGPt.ACesq.divId())
xXVGZ.TAGPt=TAGPt 
xXVGZ.jimcM=VHXOD;
xXVGZ.loaded=false;
TAGPt.oqnbl_preview_obj.HoIxW()
xXVGZ.onload=function()
{
JSPhD(this,this.qbWSj_img)
}
xXVGZ.onerror=function()
{
NPugk(this,false)
}
xXVGZ.onabort=function()
{
NPugk(this,false)
}
xXVGZ.src=src_folder+"/"+eJBuO.th+"?v="+eJBuO.mod;

}
function JSPhD(bubBq,qbWSj_img)
{
clearTimeout(bubBq.TAGPt.oqnbl_preview_obj.timerProgress) 
if(isMobileBrowser())
{
var TAGPt=bubBq.TAGPt
TAGPt.FDdHP=bubBq.OdLHT_img
bubBq.ACesq.setOpacity(1);
html_SetOpacity(bubBq.qbWSj_img,1)
ODYuU(bubBq)
NPugk(bubBq,true)
return;
}
var ShTCA=new ZKnto(bubBq.ACesq,bubBq.HkUiG_transition,100,0,bubBq.SADQK);
ShTCA.bubBq=bubBq
ShTCA.qbWSj_img=qbWSj_img
ShTCA.onMotionFinished=tiiYm
var ZYnNP=new OpacityTween(qbWSj_img,bubBq.HkUiG_transition,100,0,bubBq.SADQK);
ZYnNP.bubBq=bubBq
ZYnNP.qbWSj_img=qbWSj_img
ShTCA.start()
ZYnNP.start()
}
function tiiYm()
{
var bubBq=this.bubBq 
var nEqSM=bubBq.OdLHT_img
var TAGPt=bubBq.TAGPt
TAGPt.FDdHP=nEqSM
var qbWSj_img=bubBq.qbWSj_img 
qbWSj_img.bubBq=bubBq
ODYuU(bubBq) 
if(isMSIE()||isOperaBrowser())
{
var STkXc=new ZKnto(bubBq.ACesq,bubBq.HkUiG_transition,0,100,bubBq.SUtbg);
STkXc.bubBq=bubBq
STkXc.qbWSj_img=this.qbWSj_img
STkXc.onMotionFinished=FTQFb
var FTpiS=new OpacityTween(this.qbWSj_img,this.bubBq.HkUiG_transition,0,100,this.bubBq.SUtbg);
FTpiS.bubBq=this.bubBq
FTpiS.qbWSj_img=this.qbWSj_img
FTpiS.start()
STkXc.start()
}
else
{
qbWSj_img.onload=function()
{
var bubBq=this.bubBq
var qbWSj_img=bubBq.qbWSj_img
var STkXc=new ZKnto(bubBq.ACesq,bubBq.HkUiG_transition,0,100,bubBq.SUtbg);
STkXc.bubBq=bubBq
STkXc.qbWSj_img=qbWSj_img
STkXc.onMotionFinished=FTQFb
var FTpiS=new OpacityTween(qbWSj_img,bubBq.HkUiG_transition,0,100,bubBq.SUtbg);
FTpiS.bubBq=bubBq
FTpiS.qbWSj_img=qbWSj_img
FTpiS.start()
STkXc.start()
}
}
}
function FTQFb()
{
NPugk(this.bubBq,true)
}
function NPugk(bubBq,DxVcZ)
{
var nEqSM=bubBq.OdLHT_img
var TAGPt=bubBq.TAGPt
TAGPt.iSDoJ=false;
var nEqSM=TAGPt.FDdHP 
{
TAGPt.vjVqw=Math.floor(nEqSM/(TAGPt.WSmwB*TAGPt.DSgLi))
ZXqMN(TAGPt.DHHoI)
}
TAGPt.CoSMd()
TAGPt.Eceer()
var oqnbl=TAGPt.CNCoZ()
if(oqnbl.length==0)
{
TAGPt.oqnbl_preview_obj.VaRcD(false)
}
TAGPt.osQIu()
}
function ODYuU(bubBq)
{
var qbWSj_img=bubBq.qbWSj_img
var TAGPt=bubBq.TAGPt
var VHXOD=bubBq.jimcM
TAGPt.UZRpq.width=VHXOD.width
TAGPt.UZRpq.height=VHXOD.height
qbWSj_img.width=VHXOD.width;
qbWSj_img.height=VHXOD.height;
qbWSj_img.src=bubBq.src;
qbWSj_img.TAGPt=TAGPt
qbWSj_img.VHXOD=VHXOD
TAGPt.osQIu()
var oqnbl=TAGPt.CNCoZ()
if(oqnbl.length>0)
{
TAGPt.GnXLK()
TAGPt.oqnbl_preview_obj.VaRcD(true);
TAGPt.oqnbl_preview_obj.EnOTZ(oqnbl)
}
else
{
TAGPt.oqnbl_preview_obj.VaRcD(false);
}
}
function WA_photoAlbumChangeImageSize(qbWSj_img,VHXOD,UDkul)
{
var dec=3
qbWSj_img.width=VHXOD
qbWSj_img.height=VHXOD
qbWSj_img.style.borderWidth=UDkul
}
function WA_photoAlbumThumbOver(qbWSj,DHHoI,nEqSM)
{
var TAGPt=hCGqc(DHHoI)
var eJBuO_def=mNBiC(DHHoI)[nEqSM]
var dchIK=TAGPt.LTWeT(nEqSM)
var qbWSj_img=document.getElementById(dchIK)
qbWSj.TAGPt=TAGPt;
qbWSj.qbWSj_img=qbWSj_img
var dec=2
WA_photoAlbumChangeImageSize(qbWSj_img,TAGPt.VHXOD_thumb-2*dec,TAGPt.VHXOD_border_thumbnail+dec)
}
function WA_photoAlbumThumbOut(qbWSj)
{
var qbWSj_img=qbWSj.qbWSj_img;
var TAGPt=qbWSj.TAGPt
WA_photoAlbumChangeImageSize(qbWSj_img,TAGPt.VHXOD_thumb,TAGPt.VHXOD_border_thumbnail) 
}
function TDTMJ(DHHoI,CHWuD)
{
this.DHHoI=DHHoI;
this.sGXZk=25;
this.OnXct=CHWuD;
this.DHHoI_canv_bg_toolbar="photo-album-toolbar-"+this.DHHoI
this.VOWwR=("photo-album-scroll-content"+this.DHHoI)
this.PuEXa_selector_slider=null;
this.PuEXa_selector_toolbar=null;
this.PuEXa_preview=null;
this.WSmwB=0;
this.DSgLi=0;
this.CZHmO=new Array()
this.vjVqw=0;
this.TtHaY=1
this.HPcvS=true;
this.fcDIF=false
this.akQjo=40
this.UZRpq=new Size(0,0)
this.CdAKp=false;
this.WkCWr=-1;
this.FDdHP=-1;
this.uvxwD=this.OnXct.def.length
this.DjXff=false;
this.PuEXa_container=new Rect(0,0,100,100)
this.bTEKE=ntPTN(this.DHHoI)
var bFJTi=this.bTEKE
if(bFJTi.diaporama&&(bFJTi.diaporama.startup))this.DjXff=true;
this.rLDtA=false;
this.XppSV=false;
this.oewTw=0;
this.LwDEH=function()
{
if(this==this.OnXct.album_object) return true;
return false;
}
this.EtJlu=function()
{
return this.DHHoI+this.oewTw
}
this.GnXLK=function()
{
var TAGPt=this
var VHXOD=new Size(TAGPt.UZRpq.width,TAGPt.UZRpq.height)
var FLUiY=TAGPt.IhEpk()
var Gltiq=new RGBColor(FLUiY.border_col)
var vjuWP=FLUiY.border_size
if(Gltiq.a==0) vjuWP=0;
var AOpsX_preview=TAGPt.PuEXa_preview 
var x0=Math.round((AOpsX_preview.width-(VHXOD.width+2*vjuWP))/2)
var y0=Math.round((AOpsX_preview.height-(VHXOD.height+2*vjuWP))/2) 


TAGPt.oqnbl_preview_obj.GPYSk(x0+vjuWP,y0+vjuWP,VHXOD.width,VHXOD.height);

}
this.osQIu=function()
{
var TAGPt=this
var VHXOD=new Size(TAGPt.UZRpq.width,TAGPt.UZRpq.height)
var FLUiY=TAGPt.IhEpk()
var Gltiq=new RGBColor(FLUiY.border_col)
var vjuWP=FLUiY.border_size
if(Gltiq.a==0) vjuWP=0;
var AOpsX_preview=TAGPt.PuEXa_preview 
var x0=Math.round((AOpsX_preview.width-(VHXOD.width+2*vjuWP))/2)
var y0=Math.round((AOpsX_preview.height-(VHXOD.height+2*vjuWP))/2)
TAGPt.ACesq.setRect(x0,y0,VHXOD.width+2*vjuWP,VHXOD.height+2*vjuWP) 
var wmGdj_img=document.getElementById(TAGPt.wmGdj_img_preview_id)
html_SetPosition(wmGdj_img,vjuWP+x0,vjuWP+y0)
}
this.CNCoZ=function()
{
var bubBq=this.hFVSQ
var WHSSf=this.bTEKE
var oqnbl=""
var url=bubBq.eJBuO_info.url
if(WHSSf.disp_comment)
{
if(WHSSf.disp_comment_img_number)
oqnbl+="<b>"+(bubBq.OdLHT_img+1)+"/"+this.uvxwD+"</b>"
if(WHSSf.disp_comment_img_fn)
{
if(oqnbl.length>0)oqnbl+="<br>"
oqnbl+="("+bubBq.eJBuO_info.fn+")"
}
if(bubBq.eJBuO_info.comment.length>0)
{
if(oqnbl.length>0)oqnbl+="<br>"
oqnbl+=bubBq.eJBuO_info.comment
}
if(url.length>0)
{
if(oqnbl.length>0)oqnbl+="<br>"
oqnbl+="<br><a href='"+url+"' target=_blank "
oqnbl+="style='color:#0000ff;' "
var nRKOZ=this.oqnbl_preview_obj.TxtiO
oqnbl+="onmouseover=\"javascript:_onMouseOnPreviewComment('"+nRKOZ+"',true)\" ";
oqnbl+=">";
oqnbl+="@ link"
oqnbl+="</a><br><br>"
}
}
return oqnbl;
}
this.KHHnP=function()
{
var bFJTi=ntPTN(DHHoI)
var mrxDn=this.oGtxG();
this.fcDIF=mrxDn.nav_has_horz_flow
if(this.fcDIF==false)
{
this.CZHmO.push("up")
this.CZHmO.push("down")
}
else
{
this.CZHmO.push("<")
this.CZHmO.push(">")
}
if(this.CVGCg())
{
this.CZHmO.push("+")
}
else
if(this.qpwZY())
{
this.CZHmO.push("-")
}
if(bFJTi.diaporama)
{
this.CZHmO.push("diapo")
}
if((mrxDn.nav_but_orient==5)||(mrxDn.nav_but_orient==3))
{
this.HPcvS=false;
}
var canvas_bg=""
this.hnsld=new WA_GraphicElement(this.EtJlu()+"-graphic-selector-bg",50,mrxDn.bg_shadow)
this.hnsld.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,mrxDn.bg_border_col,[mrxDn.bg_col],mrxDn.bg_shadow,0)
}
canvas_bg+=this.hnsld.toHtml() 
this.gYNIa=new WA_GraphicElement(this.EtJlu()+"-graphic-toolbar-bg",50,mrxDn.bg_shadow)
this.gYNIa.HPcvS=this.HPcvS 
this.gYNIa.draw=function()
{
var cOifF=false;
if(this.HPcvS)
{
cOifF=TdFwT(0,0,0,this.rect().height/2,mrxDn.toolbar_bg_col1,mrxDn.toolbar_bg_col2)
}
else
{
cOifF=TdFwT(0,0,this.rect().width/2,0,mrxDn.toolbar_bg_col1,mrxDn.toolbar_bg_col2)
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,mrxDn.toolbar_border_col,[cOifF],mrxDn.toolbar_shadow,0)
}
canvas_bg+=this.gYNIa.toHtml() 
this.rnvvp=new Array()
this.rnvvp_by_action=new Array()
for(var n=0;n<this.CZHmO.length;n++)
{
var n_action=this.CZHmO[n]
var fNXFp=new WA_GraphicElement(this.EtJlu()+"-graphic-toolbar-but"+n,70,false)
fNXFp.n_action=n_action
fNXFp.TAGPt=this
fNXFp.sdVde=false
fNXFp.sGXZk=this.sGXZk
fNXFp.xGMYW=mrxDn.toolbar_but_col1
fNXFp.LjObq=mrxDn.toolbar_but_col2
fNXFp.draw=function()
{
var bSlIA_but=this.sGXZk
var RcgAK=this.n_action
if(RcgAK=="diapo")
{
if(this.TAGPt.XoJfj())RcgAK="stop"
}
var BZwpc=(this.sdVde)?this.LjObq:this.xGMYW
WA_toolbar_button(this.canvasId(),bSlIA_but,bSlIA_but,RcgAK,BZwpc,true)
}
this.rnvvp.push(fNXFp)
var SVCKd=n_action
if(SVCKd=="up")SVCKd="<"
if(SVCKd=="down")SVCKd=">"
this.rnvvp_by_action[SVCKd]=fNXFp
canvas_bg+="<div id='"+fNXFp.divId()+"-href' onclick=\"javascript:WA_photoAlbumAction('"+this.DHHoI+"',"+n+")\" ";
canvas_bg+="style=\""
canvas_bg+="position:absolute;"
canvas_bg+="z-index:1000;"
canvas_bg+="cursor:pointer;"
if(isMSIE()&&(isMSIE_lower_than_ie9()==false))
{
canvas_bg+="background-color:rgba(0,0,0,0);"
}
canvas_bg+="\" "
canvas_bg+="onmouseover=\"";
canvas_bg+="WA_change_tool_button('"+this.DHHoI+"',"+n+",true)";
canvas_bg+="\" ";
canvas_bg+="onmouseout=\"";
canvas_bg+="WA_change_tool_button('"+this.DHHoI+"',"+n+",false)";
canvas_bg+="\" ";
canvas_bg+=">";
canvas_bg+="</div>";
canvas_bg+=fNXFp.toHtml()
}
canvas_bg+="<div id='"+this.VOWwR+"' style=\"";
canvas_bg+="position:absolute;z-index:100;";
canvas_bg+="overflow:hidden;";
canvas_bg+="\"></div>";
return canvas_bg;
}
this.ckFxL=function()
{
var mrxDn=this.oGtxG();
var r1_rect=this.PuEXa_selector_slider;
var Pnlac="" 
var min_size=Math.min(r1_rect.width,r1_rect.height)
var size_thumb=mrxDn.th_size.size;
if(mrxDn.th_size.percent) size_thumb=Math.round(size_thumb*(min_size)/100);
var image_spacing=Math.max(0,Math.round((mrxDn.th_spacing/100)*size_thumb))
image_spacing=Math.round(image_spacing/2)*2
var nb_cols_real=r1_rect.width/(size_thumb+image_spacing);
var nb_cols=Math.floor(nb_cols_real);
this.WSmwB=Math.max(1,nb_cols);
var nb_rows_real=r1_rect.height/(size_thumb+image_spacing);
var nb_rows=Math.floor(nb_rows_real);
this.DSgLi=Math.max(1,nb_rows);
var size_border_thumbnail=Math.max(1,Math.round((size_thumb)*0.03));
size_thumb-=2*size_border_thumbnail
var nb_images=this.uvxwD
var nb_pages=(nb_images/(this.WSmwB*this.DSgLi));
if(nb_pages>Math.floor(nb_pages)) nb_pages=Math.floor(nb_pages)+1;
this.TtHaY=nb_pages
this.VHXOD_thumb=size_thumb;
this.EuDtd=image_spacing;
this.VHXOD_border_thumbnail=size_border_thumbnail
var n_image=0;
var nb_item_x=this.WSmwB*nb_pages
var nb_item_y=this.DSgLi;
var nb_item_per_page=this.WSmwB*this.DSgLi 
if(this.fcDIF==false)
{
nb_item_x=this.WSmwB
nb_item_y=this.DSgLi*nb_pages;
}
Pnlac+="<table border=0 cellpadding=0 cellspacing=0 width=100% height=100% >";
Pnlac+="<tr>"
Pnlac+="<td "
if((this.fcDIF==false)||(this.TtHaY==1))
{
Pnlac+="align=center"
}
Pnlac+=">" 
Pnlac+="<table border=0 cellpadding="+(image_spacing/2)+" cellspacing=0  width=10px>";
for(var MENIr=0;MENIr<nb_item_y;MENIr++)
{
Pnlac+="<tr>" 
for(var MFItB=0;MFItB<nb_item_x;MFItB++)
{
Pnlac+="<td>"
var ind_img=0;
var nx_0=Math.floor(MFItB/this.WSmwB)
var diff0=MFItB-nx_0*this.WSmwB;
ind_img=nx_0*nb_item_per_page+(MENIr*this.WSmwB)+diff0
if(ind_img<nb_images)
{
var eJBuO=this.OnXct.def[ind_img]
var eJBuO_src=this.OnXct.src_folder+"/th_"+eJBuO.th+"?v="+eJBuO.mod_th
Pnlac+="<a href=\"";
if(this.rnIJn())
{
Pnlac+="javascript:WA_photoAlbumActionThumb('"+DHHoI+"',"+ind_img+")"
}
else
{
Pnlac+="javascript:WA_photoAlbumIncrease('"+DHHoI+"',"+ind_img+")"
}
Pnlac+="\" "
Pnlac+="onmouseover=\"WA_photoAlbumThumbOver(this,'"+DHHoI+"',"+ind_img+")\" "
Pnlac+="onmouseout=\"WA_photoAlbumThumbOut(this)\" "
Pnlac+=">"
Pnlac+="<img title='"+eJBuO.tooltip+"' id='"+this.LTWeT(ind_img)+"' width="+size_thumb+"px height="+size_thumb+"px src='"+eJBuO_src+"' ";
Pnlac+="style='";
if(size_border_thumbnail>0)
{
Pnlac+="border-color:"+mrxDn.selector_img_border_color+";";
Pnlac+="border-width:"+size_border_thumbnail+"px;border-style:solid;";
}
Pnlac+="' ";
Pnlac+=">"
Pnlac+="</a>"
n_image++;
}
Pnlac+="</td>"
}
if(this.HPcvS)
if(this.TtHaY>1)
{
for(var MFItB=0;MFItB<this.WSmwB;MFItB++)
{
var CBEoD=size_thumb+2*size_border_thumbnail
Pnlac+="<td>"
Pnlac+="<div  style='width:"+(CBEoD)+"px;height:"+CBEoD+"px;'></div>";
Pnlac+="</td>"
}
}
Pnlac+="</tr>"
}
if(this.HPcvS==false)
if(this.TtHaY>1)
{
for(var MENIr=0;MENIr<this.DSgLi;MENIr++)
{
Pnlac+="<tr>"
var CBEoD=size_thumb+2*size_border_thumbnail
Pnlac+="<td colspan="+this.WSmwB+">"
Pnlac+="<div  style='width:"+(CBEoD)+"px;height:"+CBEoD+"px;'></div>";
Pnlac+="</td>"
Pnlac+="</tr>"
}
}
Pnlac+="</table>" 
Pnlac+="</td>"
Pnlac+="</tr>"
Pnlac+="</table>"
return Pnlac;
}
this.LTWeT=function(nEqSM)
{
return this.EtJlu()+"-th-img"+nEqSM
}
this.bTosj=function()
{
var FLUiY=this.IhEpk();
if(FLUiY==false) return;
var eJBuO=this.OnXct.def[0]
this.eJBuO_preview_id="photo-album-preview-img-"+this.EtJlu()
this.eJBuO_preview_id_cache=this.eJBuO_preview_id+"-cache"
this.wmGdj_img_preview_id="photo-album-preview-img-div"+this.EtJlu()
this.HuNFB="photo-album-preview-zone"+this.EtJlu()
var Pnlac=""
Pnlac+="<div  id='"+this.HuNFB+"' style=\"";
Pnlac+="position:absolute;z-index:500;";
Pnlac+="\" ";
Pnlac+="onclick=\"WA_clickAlbumPreview('"+this.DHHoI+"')\" ";
Pnlac+="onmousemove=\"javascript:WA_mousemoveAlbumPreview(event,'"+this.DHHoI+"')\" ";
Pnlac+="onmouseout=\"javascript:WA_mouseoutAlbumPreview(event,'"+this.DHHoI+"')\" ";
Pnlac+=">";
Pnlac+="<div style='position:absolute;z-index:450;left:0px;top:0px;";
Pnlac+="width:100%;height:100%;background-color:#000000;";
Pnlac+="filter:alpha(opacity=0);-moz-opacity:0;opacity:0;' "
Pnlac+="></div>"
this.oqnbl_preview_obj=new DMSDm(this.DHHoI,this.EtJlu());
Pnlac+=this.oqnbl_preview_obj.toHtml() 
this.ACesq=new WA_GraphicElement(this.EtJlu()+"-graphic-img-bg",50,FLUiY.shadow)
this.ACesq.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',[FLUiY.border_col],this.shadow(),0,this.opacity())
}
Pnlac+=this.ACesq.toHtml() 
Pnlac+="<div id='"+this.wmGdj_img_preview_id+"' style=\"";
Pnlac+="position:absolute;z-index:100;";
Pnlac+="left:0px;";
Pnlac+="top:0px;";
Pnlac+="\" ";
Pnlac+=">";
Pnlac+="<img  id='"+this.eJBuO_preview_id+"' border=0 >";
if(isMSIE())
{
Pnlac+="<img style='position:absolute;left:0px;top:0px;visibility:hidden;' id='"+this.eJBuO_preview_id_cache+"'>"
}
else
{
Pnlac+="<img style='position:absolute;left:0px;top:0px;display:none;' id='"+this.eJBuO_preview_id_cache+"'>"
}
Pnlac+="</div>";
this.qJdcn=new WA_GraphicElement(this.EtJlu()+"-graphic-arrow0",300,true)
this.qJdcn.setImage("intuisphere.png",new Rect(97,49,46,47))
this.qJdcn.draw=function()
{
if(isMSIE_lower_than_ie9()) return;
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'rgba(0,0,0,0)',[""],false,0,0,true)
var WDiJT=Math.round(this.rect().width*0.8);
var vfBJG=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-WDiJT)/2,6+(this.rect().height-vfBJG)/2,WDiJT,vfBJG,this.img_clip(),this.opacity(),false)
}
this.nfEUr=new WA_GraphicElement(this.EtJlu()+"-graphic-arrow1",300,true)
this.nfEUr.setImage("intuisphere.png",new Rect(2,49,46,47))
this.nfEUr.draw=function()
{
if(isMSIE_lower_than_ie9()) return;
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'rgba(0,0,0,0)',[""],false,0,0,true)
var WDiJT=Math.round(this.rect().width*0.8);
var vfBJG=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-WDiJT)/2,6+(this.rect().height-vfBJG)/2,WDiJT,vfBJG,this.img_clip(),this.opacity(),false)
}
Pnlac+=this.qJdcn.toHtml()
Pnlac+=this.nfEUr.toHtml() 
this.fooNq=new WA_GraphicElement(this.EtJlu()+"-graphic-cursor-zoom",400,false)
this.fooNq.setSize(30,30)
this.fooNq.setImage("intuisphere.png",new Rect(0,0,48,48))
this.fooNq.draw=function()
{
WA_drawImage(this.canvasId(),this.img_src(),0,0,this.rect().width,this.rect().height,this.img_clip())
}
Pnlac+=this.fooNq.toHtml() 
Pnlac+="</div>";
return Pnlac;
}
this.TSMlI=function()
{
if(this.kGecH())
{
this.hnsld.registerDynamicCanvas();
this.gYNIa.registerDynamicCanvas();
for(var n=0;n<this.rnvvp.length;n++)
{
var fNXFp=this.rnvvp[n]
fNXFp.registerDynamicCanvas();
}
}
if(this.rnIJn())
{
this.oqnbl_preview_obj.TSMlI()
this.ACesq.registerDynamicCanvas();
this.qJdcn.registerDynamicCanvas();
this.nfEUr.registerDynamicCanvas();
this.fooNq.registerDynamicCanvas();
this.fooNq.setVisible(false)
}
if(this.MKxrU)
this.MKxrU.registerDynamicCanvas();
this.nuAGO()
}
this.XoJfj=function()
{
return(this.aAJnJ)?true:false;
}
this.gtYst=function()
{
return(this.vjVqw>0)
}
this.wIiKP=function()
{
return(this.vjVqw<this.TtHaY-1)
}
this.lBPxk=function()
{
return(this.FDdHP>0);
}
this.UYKiQ=function()
{
return(this.FDdHP<this.OnXct.def.length-1);
}
this.PvevV=function()
{
if(this.kGecH())
{
var mrxDn=this.oGtxG() 
var WDiJT=this.PuEXa_container.width
var vfBJG=this.PuEXa_container.height
var r0=mrxDn.rect
var r0_rect=hIPvK(r0,WDiJT,vfBJG)
r0_rect.x+=this.PuEXa_container.x
r0_rect.y+=this.PuEXa_container.y
var r1_rect=r0_rect.clone() 
var UxDPh=r0_rect.clone()
var VhBsm=this.CZHmO.length 
var DNCFL=5
var bSlIA_size_min=this.sGXZk+DNCFL*2
var bSlIA_size_max=(VhBsm*this.sGXZk)
if(mrxDn.nav_but_orient==1)
{
r1_rect.y+=bSlIA_size_min;
r1_rect.height-=bSlIA_size_min;
UxDPh.x=UxDPh.x+(UxDPh.width-bSlIA_size_max)/2;
UxDPh.width=bSlIA_size_max
UxDPh.y+=DNCFL;
UxDPh.height=this.sGXZk;
}
if(mrxDn.nav_but_orient==5)
{
r1_rect.width-=bSlIA_size_min;
UxDPh.y=UxDPh.y+(UxDPh.height-bSlIA_size_max)/2;
UxDPh.height=bSlIA_size_max
UxDPh.x+=r1_rect.width+DNCFL;
UxDPh.width=this.sGXZk;
}
if(mrxDn.nav_but_orient==7)
{
r1_rect.height-=bSlIA_size_min;
UxDPh.x=UxDPh.x+(UxDPh.width-bSlIA_size_max)/2;
UxDPh.width=bSlIA_size_max
UxDPh.y+=r1_rect.height+DNCFL;
UxDPh.height=this.sGXZk;
}
if(mrxDn.nav_but_orient==3)
{
r1_rect.width-=bSlIA_size_min;
r1_rect.x+=bSlIA_size_min;
UxDPh.y=UxDPh.y+(UxDPh.height-bSlIA_size_max)/2;
UxDPh.height=bSlIA_size_max
UxDPh.x+=DNCFL;
UxDPh.width=this.sGXZk;
}
this.PuEXa_selector_slider=r1_rect
this.PuEXa_selector_toolbar=UxDPh 
var HjAik=this.PuEXa_selector_slider;
this.hnsld.setRect(HjAik.x,HjAik.y,HjAik.width,HjAik.height)
html_SetRect(this.VOWwR,r1_rect) 
var LCAjT=this.PuEXa_selector_toolbar
this.gYNIa.setRect(LCAjT.x,LCAjT.y,LCAjT.width,LCAjT.height)
var lx_button=this.sGXZk
var ly_button=lx_button
var MFItB_but0=UxDPh.x
var MENIr_but0=UxDPh.y
for(var n=0;n<this.rnvvp.length;n++)
{
var fNXFp=this.rnvvp[n]
var MFItB_but=MFItB_but0
var RgGdS=MENIr_but0
if(this.HPcvS)
{
MFItB_but+=n*lx_button;
}
else
{
RgGdS+=n*ly_button;
}
fNXFp.setRect(MFItB_but,RgGdS,lx_button,ly_button)
html_SetGeometry(fNXFp.divId()+"-href",MFItB_but,RgGdS,lx_button,ly_button)
}
var jExYN=document.getElementById(this.VOWwR)
if(jExYN)
{
jExYN.innerHTML=this.ckFxL();
}
this.Eceer()
}
}
this.CVGCg=function()
{
if((this.oewTw==1)&&(this.kGecH()==true)) return true;
if((this.oewTw==0)&&(this.bTEKE.has_full_page_config)) return true;
return false;
}
this.qpwZY=function()
{
if(this.oewTw==1) return true;
if(this.oewTw==2) return true;
return false;
}
this.dLpAC=function()
{
return this.DjXff;
}
this.oGtxG=function()
{
return this.rLDtA;
}
this.IhEpk=function()
{
return this.XppSV;
}
this.kGecH=function()
{
if(this.oGtxG()) return true;
return false;
}
this.rnIJn=function()
{
if(this.IhEpk()) return true;
return false;
}
this.Eceer=function()
{
if(this.kGecH()==false)return
var lAJsQ=this.rnvvp_by_action["<"]
lAJsQ.setVisible(this.gtYst())
var NpaHa=this.rnvvp_by_action[">"]
NpaHa.setVisible(this.wIiKP())
}
this.CoSMd=function()
{
var FLUiY=this.IhEpk();
var WDiJT=this.PuEXa_container.width
var vfBJG=this.PuEXa_container.height
var HjAik=FLUiY.rect
var VOVmx=hIPvK(HjAik,WDiJT,vfBJG)
if(this.oewTw==2)
{
VOVmx=new Rect(0,0,WDiJT,vfBJG)
}
VOVmx.x+=this.PuEXa_container.x
VOVmx.y+=this.PuEXa_container.y 


if(this.oewTw!=0)
if((this.oewTw==2)||((HjAik.x=="0%")&&(HjAik.y=="0%")&&(HjAik.lx=="100%")&&(HjAik.ly=="100%")))
{
var dec=8;
VOVmx.x+=dec
VOVmx.y+=dec
VOVmx.width-=2*dec
VOVmx.height-=2*dec 
}
var PoBCv=VOVmx.clone()
this.PuEXa_preview=PoBCv 
html_SetRect(this.HuNFB,this.PuEXa_preview)
this.sebCt()
this.sjYqS()
}
this.oZmFb=function()
{
if(this.XoJfj()) return;
if(this.rnIJn()==false)return;
var HkUiG_transition=Tween.regularEaseOut
var vipws=0.3
if((!this.PIPKB)||(this.PIPKB.isRunning()==false))
{
if(this.PIPKB)this.PIPKB.stop()
this.PIPKB=new ZKnto(this.qJdcn,HkUiG_transition,0,100,vipws)
this.PIPKB.onMotionFinished=this.ivHYE
this.PIPKB.m_count=0
this.PIPKB.start()
}
if((!this.HGEVp)||(this.HGEVp.isRunning()==false))
{
if(this.HGEVp)this.HGEVp.stop()
this.HGEVp=new ZKnto(this.nfEUr,HkUiG_transition,0,100,vipws)
this.HGEVp.onMotionFinished=this.ivHYE
this.HGEVp.m_count=0
this.HGEVp.start()
}
}
this.ivHYE=function()
{
if(this.m_count>=3)
{
return;
}
this.yoyo()
this.m_count++}
this.sebCt=function()
{
if(this.LwDEH()==false)return;
if(this.rnIJn()==false)return
if(isMobileBrowser())return
var OFgoq=30
var TAGPt=this;
var YPFGn=TAGPt.UcgIU
var n_pos=TAGPt.WkCWr;
if((n_pos!=-1)&&(TAGPt.CdAKp==false)&&(TAGPt.tvDjf!=true))
{
var XgqWt=true;
if(n_pos==0)
{
if(TAGPt.lBPxk()==false)XgqWt=false;
TAGPt.fooNq.setImage("intuisphere.png",new Rect(97,49,46,47))
}
else
if(n_pos==1)
{
if(TAGPt.qpwZY())
{
TAGPt.fooNq.setImage("intuisphere.png",new Rect(48,0,48,48))
}
else
if(TAGPt.CVGCg())
{
TAGPt.fooNq.setImage("intuisphere.png",new Rect(0,0,48,48))
}
else
{
XgqWt=false;
}
}
else
if(n_pos==2)
{
if(TAGPt.UYKiQ()==false)XgqWt=false;
TAGPt.fooNq.setImage("intuisphere.png",new Rect(0,49,46,47))
}
TAGPt.fooNq.setPosition(YPFGn.x,YPFGn.y,OFgoq,OFgoq);
TAGPt.fooNq.setVisible(XgqWt)
}
else
{
TAGPt.fooNq.setVisible(false)
}
}
this.sjYqS=function()
{
if(this.rnIJn()==false)return
if((this.XoJfj()==false)&&(this.UZRpq.width>0))
{
var akQjo=40
var x_arrow0=(this.PuEXa_preview.width-this.UZRpq.width)/2
var x_arrow1=(x_arrow0+this.UZRpq.width-akQjo)
var y_arrow0=(this.PuEXa_preview.height-this.UZRpq.height)/2+(this.UZRpq.height-akQjo)/2 
this.qJdcn.setRect(x_arrow0,y_arrow0,akQjo,akQjo)
this.nfEUr.setRect(x_arrow1,y_arrow0,akQjo,akQjo)
this.qJdcn.setVisible(this.lBPxk())
this.nfEUr.setVisible(this.UYKiQ())
}
else
{
this.qJdcn.setVisible(false)
this.nfEUr.setVisible(false)
}
this.qJdcn.setOpacity(0)
this.nfEUr.setOpacity(0)
}
this.nuAGO=function()
{
if(this.rnIJn())
{
this.CoSMd()
var nEqSM=this.FDdHP 
WA_photoAlbumActionThumb(this.DHHoI,nEqSM,true)
this.CoSMd()
}
this.PvevV()
if(this.MKxrU)
{
this.MKxrU.setRect(0,0,this.PuEXa_container.width,this.PuEXa_container.height);
}
if(this.TKJKs)
{
html_SetGeometry(this.TKJKs,0,0,this.PuEXa_container.width,this.PuEXa_container.height)
}
}
this.meIBW=function()
{
if(this.rnIJn())
{
WA_photoAlbumActionThumb(this.DHHoI,this.FDdHP,true)
}
}
this.hZLAH=function()
{
if(this.rnIJn())
{
WA_photoAlbumActionThumb(this.DHHoI,this.FDdHP,false)
}
}
this.aveQh=function(hUArd)
{
UEwWs(this.oewTw>0)
var Pnlac=""
if(this.kGecH())
{
Pnlac+=this.KHHnP();
}
if(this.rnIJn())
{
Pnlac+=this.bTosj();
};
if((this.oewTw==1)||(this.oewTw==2))
{
if(this.bTEKE.bg_fullpage_img.length>0)
{
this.TKJKs=this.EtJlu()+"-graphic-fullpage-bg";
Pnlac+="<div id='"+this.TKJKs+"' style=\"";
Pnlac+="position:absolute;z-index:0;";
if(this.bTEKE.bg_fullpage_img_type==0)
{
Pnlac+="background-image:url('"+this.bTEKE.bg_fullpage_img+"');";
Pnlac+="background-repeat: repeat;";
}
Pnlac+="\" ";
Pnlac+=">";
if(this.bTEKE.bg_fullpage_img_type==1)
{
Pnlac+="<img src='"+this.bTEKE.bg_fullpage_img+"' width=100% height=100% border=0 >";
}
Pnlac+="</div>";
}
else
{
var QBljV=this.bTEKE.bg_fullpage_grad
this.MKxrU=new WA_GraphicElement(this.EtJlu()+"-graphic-global-bg",0,false)
this.MKxrU.QBljV=QBljV
this.MKxrU.draw=function()
{
var QBljV=this.QBljV
var QBljV_bg=false
if(QBljV.has_gradient)
{
var WDiJT=this.rect().width
var vfBJG=this.rect().height
var xg1=QBljV.pt1.x*WDiJT/100
var yg1=QBljV.pt1.y*vfBJG/100
var xg2=QBljV.pt2.x*WDiJT/100
var yg2=QBljV.pt2.y*vfBJG/100
QBljV_bg=TdFwT(xg1,yg1,xg2,yg2,QBljV.col1,QBljV.col2)
}
else
{
QBljV_bg=QBljV.col1
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'',[QBljV_bg],false,0,1)
}
Pnlac+=this.MKxrU.toHtml();
}
}
var ZjEbb=document.getElementById(hUArd);
ZjEbb.innerHTML=Pnlac
ZjEbb.style.display="block" 
{
WA_registerAlbum(DHHoI)
}
if(this.dLpAC()==false)
{
this.oZmFb()
}
}
this.KiKaG=function()
{
var PVKrp="wa-dialog-container"
if(this.CVGCg()==false) return;
if(this.oewTw==0)
if(this.bTEKE.plugin_fullscreen_url.length>0)
{
window.open(this.bTEKE.plugin_fullscreen_url)
return;
}
this.WkCWr=-1;
this.sebCt()
var OnXct=this.OnXct
var PuEXa=new Rect(0,0,getWindowSize().width,getWindowSize().height)
var TAGPt=new TDTMJ(DHHoI,OnXct)
TAGPt.FDdHP=this.FDdHP
if(this.oewTw==0)
{
TAGPt.oewTw=1
}
else
if(this.oewTw==1)
{
TAGPt.oewTw=2
}
OnXct.album_object=TAGPt;
TAGPt.PuEXa_container.copy(PuEXa)
TAGPt.rLDtA=OnXct.layout.selector_fullpage
if(TAGPt.oewTw==2)
{
TAGPt.rLDtA=false
}
TAGPt.XppSV=OnXct.layout.preview_fullpage
wa_global_photo_album.fullpage_object=TAGPt
TAGPt.aveQh(PVKrp)
return TAGPt
}
this.ciLuZ=function()
{
if(this.qpwZY()==false) return;
this.UsNED()
var PVKrp="wa-dialog-container"
var OnXct=this.OnXct
OnXct.album_object=OnXct.cnEbR;
wa_global_photo_album.fullpage_object=false 
if(this.oewTw==1)
{
UEwWs(false)
var ZjEbb=document.getElementById(PVKrp);
ZjEbb.innerHTML=""
ZjEbb.style.display="none" 

WA_exec_delayedCallback(this,this.hZLAH)
return OnXct.cnEbR
}
if(this.oewTw==2)
{
OnXct.album_object.FDdHP=this.FDdHP
return OnXct.album_object.KiKaG()
}
}
this.UsNED=function()
{
if(this.XoJfj())
{
this.DjXff=false
clearTimeout(this.aAJnJ)
this.aAJnJ=false;
}
}
this.onFullScreenKeydown=function(k)
{
if(k==27)
{
this.ciLuZ()
return false;
}
BSSSC(this.DHHoI,[k])
return false;
}
}
function lsuQw(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=true;
if(wa_global_photo_album.fullpage_object)
{
var TAGPt=wa_global_photo_album.fullpage_object
var DHHoI=TAGPt.DHHoI
var KMYRm=TAGPt.oqnbl_preview_obj
if(KMYRm.chewv)
{
var IVejg=html_getLayer(KMYRm.shagS)
if(IVejg)
{
var scrollVal=-(3*delta)
if(isMSIE())scrollVal*=3
IVejg.scrollTop+=scrollVal
}
}
else
{
if(delta>0) qSGce(DHHoI);
if(delta<0) EONYW(DHHoI);
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function UEwWs(UlBHS)
{
if(UlBHS==false)
{
var wmGdj=window;
if(wmGdj.removeEventListener)
wmGdj.removeEventListener('DOMMouseScroll',lsuQw,false);
wmGdj.onmousewheel=document.onmousewheel=null;
}
else
{
var wmGdj=window;
if(wmGdj.addEventListener)
wmGdj.addEventListener('DOMMouseScroll',lsuQw,false);
wmGdj.onmousewheel=document.onmousewheel=lsuQw;
}
}
function TdFwT(KmPXa,wVucM,GHrQf,sXthc,TrqWL,FNNbH)
{
var FVYuI=""
FVYuI+="(";
FVYuI+=KmPXa+";"+wVucM+";"+GHrQf+";"+sXthc+";";
FVYuI+=TrqWL+";";
FVYuI+=FNNbH;
FVYuI+=")";
return FVYuI;
}
function WA_photoAlbumAction(DHHoI,nEqSM)
{
var TAGPt=hCGqc(DHHoI)
var fNXFp=TAGPt.rnvvp[nEqSM]
var n_action=fNXFp.n_action
if((n_action=="<")||(n_action=="up"))
{
TAGPt.vjVqw=Math.max(0,TAGPt.vjVqw-1)
ZXqMN(DHHoI)
}
if((n_action==">")||(n_action=="down"))
{
TAGPt.vjVqw=Math.min(TAGPt.TtHaY-1,TAGPt.vjVqw+1)
ZXqMN(DHHoI)
}
if(n_action=="diapo")
{
wqHTe(DHHoI)
}
if(n_action=="+")
{
TAGPt.KiKaG()
}
}
function WA_photoAlbumIncrease(DHHoI,nEqSM)
{
var TAGPt=hCGqc(DHHoI)
TAGPt.FDdHP=nEqSM
TAGPt.KiKaG()
}
function wqHTe(DHHoI)
{
var TAGPt=hCGqc(DHHoI)
if(TAGPt.XoJfj()==false)
{
var uKOHG=0;
var ufXNS=TAGPt;
while(ufXNS.CVGCg())
{
ufXNS=ufXNS.KiKaG()
uKOHG++}
if(uKOHG>0)
{
ufXNS.OWxHG_decrease_view_when_diaporama_stop=uKOHG;
WA_goNextDiaporama(DHHoI)
ufXNS.sjYqS()
return;
}
}
if(TAGPt.XoJfj())
{
getPA(DHHoI)
}
else
{
WA_goNextDiaporama(DHHoI)
}
if(TAGPt.kGecH())
{
var fNXFp=TAGPt.rnvvp_by_action["diapo"]
fNXFp.draw()
}
}
function getPA(DHHoI)
{
var TAGPt=hCGqc(DHHoI)
if(TAGPt.XoJfj())
{
TAGPt.UsNED()
if(TAGPt.OWxHG_decrease_view_when_diaporama_stop)
{
var ufXNS=TAGPt;
for(var n=0;n<TAGPt.OWxHG_decrease_view_when_diaporama_stop;n++)
{
ufXNS=ufXNS.ciLuZ() 
}
return;
}
}
if(TAGPt.kGecH())
{
var fNXFp=TAGPt.rnvvp_by_action["diapo"]
fNXFp.draw()
}
}
function WA_goNextDiaporama(DHHoI)
{
var bFJTi=ntPTN(DHHoI)
var uHWMR=mNBiC(DHHoI)
var TAGPt=hCGqc(DHHoI)
var nEqSM=(TAGPt.FDdHP+1)%uHWMR.length;
if(bFJTi.diaporama.random)
{
nEqSM=Math.round((uHWMR.length-1)*Math.random());
}
WA_photoAlbumActionThumb(DHHoI,nEqSM)
TAGPt.aAJnJ=wa_timeout("WA_goNextDiaporama('"+DHHoI+"')",bFJTi.diaporama.time*1000)
}
function fAVbM(DHHoI,nEqSM)
{
var TAGPt=hCGqc(DHHoI)
if(nEqSM<0)
{
TAGPt.oZmFb()
return false;
}
if(nEqSM>TAGPt.uvxwD-1)
{
TAGPt.oZmFb()
return false;
}
WA_photoAlbumActionThumb(DHHoI,nEqSM)
return true;
}
function EONYW(DHHoI)
{
var TAGPt=hCGqc(DHHoI)
if(TAGPt.XoJfj()) return false;
return fAVbM(DHHoI,TAGPt.FDdHP+1)
}
function qSGce(DHHoI)
{
var TAGPt=hCGqc(DHHoI)
if(TAGPt.XoJfj()) return false;
return fAVbM(DHHoI,TAGPt.FDdHP-1)
}
function WA_clickAlbumPreview(DHHoI)
{
var TAGPt=hCGqc(DHHoI)
if(TAGPt.dLpAC()) return;
if(TAGPt.XoJfj())
{
getPA(DHHoI)
}
var nEqSM_pos=TAGPt.WkCWr
if(nEqSM_pos!=-1)
{
if(nEqSM_pos==2)EONYW(DHHoI)
if(nEqSM_pos==1)
{
if(TAGPt.qpwZY())
{
TAGPt.ciLuZ()
}
else
if(TAGPt.CVGCg())
{
TAGPt.KiKaG()
}
}
if(nEqSM_pos==0)qSGce(DHHoI)
}
}
function WA_mouseoutAlbumPreview(e,DHHoI)
{
var TAGPt=hCGqc(DHHoI)
TAGPt.fooNq.setVisible(false)
TAGPt.WkCWr=-1;
}
function WA_mousemoveAlbumPreview(e,DHHoI)
{
var posx=0;
var posy=0;
if(!e)  e=window.event;
if(e.pageX||e.pageY){
posx=e.pageX;
posy=e.pageY;
}
else if(e.clientX||e.clientY){
posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft;
posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop;
}
var TAGPt=hCGqc(DHHoI)
var wmGdj_bg=document.getElementById(TAGPt.fooNq.divId())
var pt=html_findPos(wmGdj_bg.offsetParent)
var x=posx-pt.x+1;
var y=posy-pt.y+1;
var n_pos=-1
var mGGFZ=false;
var ipcpj=0;
var hxLhM=30;
if(TAGPt.tvDjf!=true)
if(TAGPt.XoJfj()==false)
{
if((x>0)&&(x<TAGPt.PuEXa_preview.width))
if((y>0)&&(y<TAGPt.PuEXa_preview.height))
{
n_pos=1;
if(x<TAGPt.PuEXa_preview.width*0.3)n_pos=0;
if(x>TAGPt.PuEXa_preview.width*(1-0.3))n_pos=2;
}
if((x<ipcpj)||(x>TAGPt.PuEXa_preview.width-ipcpj-hxLhM))mGGFZ=true;
if((y<ipcpj)||(y>TAGPt.PuEXa_preview.height-ipcpj-hxLhM))mGGFZ=true;
}
TAGPt.UcgIU=new Point(x,y);
TAGPt.WkCWr=n_pos;
TAGPt.CdAKp=mGGFZ;
TAGPt.sebCt();
}
function ZXqMN(DHHoI)
{
var TAGPt=hCGqc(DHHoI)
var qbWSj=document.getElementById(TAGPt.VOWwR)
if(!qbWSj)return;
var OpxxQ_name;
var DDkrC=0;
var size_thumb=TAGPt.VHXOD_thumb;
var EuDtd=TAGPt.EuDtd;
var uBEFV=0;
var gxCLD=(size_thumb+2*TAGPt.VHXOD_border_thumbnail+EuDtd);
var anTbi=TAGPt.WSmwB*TAGPt.DSgLi;
if(TAGPt.fcDIF)
{
uBEFV=TAGPt.vjVqw*TAGPt.WSmwB*gxCLD;
}
else
{
uBEFV=TAGPt.vjVqw*TAGPt.DSgLi*gxCLD;
}
if(TAGPt.fcDIF)
{
OpxxQ_name="scrollLeft";
DDkrC=qbWSj.scrollLeft;
}
else
{
OpxxQ_name="scrollTop";
DDkrC=qbWSj.scrollTop;
}
if(DDkrC==uBEFV)
{
return;
}
if(TAGPt.m_tween_slider)
{
TAGPt.m_tween_slider.stop();
}
var vipws=0.7;
TAGPt.m_tween_slider=new Tween(qbWSj,OpxxQ_name,Tween.strongEaseOut,DDkrC,uBEFV,vipws);
TAGPt.m_tween_slider.onMotionFinished=Uuska;
TAGPt.m_tween_slider.TAGPt=TAGPt;
TAGPt.m_tween_slider.start();
}
function Uuska()
{
var TAGPt=this.TAGPt;
TAGPt.Eceer();
}
function GqpGf(DHHoI)
{
return wa_global_photo_album[DHHoI];
}
function hCGqc(DHHoI)
{
return wa_global_photo_album[DHHoI].album_object;
}
function mNBiC(DHHoI)
{
return wa_global_photo_album[DHHoI].def;
}
function bQQin(DHHoI)
{
return wa_global_photo_album[DHHoI].src_folder;
}
function ntPTN(DHHoI)
{
return wa_global_photo_album[DHHoI].layout;
}
function WXjao(svYjg)
{
var DHHoI=svYjg[0];
WA_addHandler(DHHoI,"mousewheel",xmSfx);
WA_addHandler(DHHoI,"keydown",BSSSC);
var PVKrp="photo-album-main-"+DHHoI;
var OnXct=GqpGf(DHHoI);
var PuEXa=new Rect();
PuEXa.copy(OnXct.size_container);
var TAGPt=new TDTMJ(DHHoI,OnXct);
OnXct.album_object=TAGPt;
OnXct.cnEbR=TAGPt;
TAGPt.PuEXa_container.copy(PuEXa);
TAGPt.rLDtA=OnXct.layout.selector;
TAGPt.XppSV=OnXct.layout.preview;
TAGPt.aveQh(PVKrp);

var TAGPt=hCGqc(DHHoI);
var oHNda=document.wa_global_query_info;
if(oHNda)
{
if(DHHoI==oHNda.m_unid)
{
TAGPt.FDdHP=oHNda.m_index_item;
TAGPt.KiKaG();
return;
}
}
if(TAGPt.dLpAC())
{
wqHTe(DHHoI);
return;
}
}
function WA_registerAlbum(DHHoI)
{
hCGqc(DHHoI).TSMlI();
}
function BSSSC(DHHoI,svYjg)
{
var ZboZi=svYjg[0]
if(ZboZi==37) return qSGce(DHHoI);
if(ZboZi==39) return EONYW(DHHoI);
return true;
}
function xmSfx(DHHoI,aVKhA)
{
var FWGMA=aVKhA[0];
var TAGPt=hCGqc(DHHoI);
if(TAGPt.oqnbl_preview_obj)
{
var KMYRm=TAGPt.oqnbl_preview_obj;
if(KMYRm.chewv)
{
var IVejg=html_getLayer(KMYRm.shagS);
IVejg.scrollTop+=-(3*FWGMA);
return true;
}
}
if(FWGMA>0)return qSGce(DHHoI);
if(FWGMA<0)return EONYW(DHHoI);
return true;
}
function WA_PhotoAlbum_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
var TAGPt=wa_global_photo_album.fullpage_object;
if(wa_global_photo_album.keJXE)
{
clearTimeout(wa_global_photo_album.keJXE);;
}
var PuEXa=new Rect(0,0,getWindowSize().width,getWindowSize().height);
TAGPt.PuEXa_container.copy(PuEXa);
TAGPt.nuAGO();
wa_global_photo_album.keJXE=wa_timeout("WA_PhotoAlbum_delayed_resizeUI()",1000);
}
}
function WA_PhotoAlbum_delayed_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
wa_global_photo_album.keJXE=false;
var TAGPt=wa_global_photo_album.fullpage_object;
TAGPt.meIBW();
}
}
function WA_loadPhotoAlbums()
{
for(var ZboZi in wa_global_photo_album)
{
var OnXct=wa_global_photo_album[ZboZi]
var uFYZD=Translator.m_lang_for_filename
if(uFYZD.length>0)uFYZD="_"+uFYZD;
WA_loadScript(OnXct.src_folder+'/photo-album-definition'+uFYZD+'.js?v='+OnXct.id_modif,WXjao,[ZboZi]);
}
}

-->
